package finance.chai.chai_webview_plugin;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.webkit.WebView;

import io.flutter.app.FlutterFragmentActivity;

public class WebViewActivity extends Activity {
    ChaiWebviewPlugin plugin;
    WebView webView;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        int hash = getIntent().getIntExtra("hash", 0);
        plugin = ChaiWebviewPlugin.instances.get(hash);
        webView = plugin.webViewManager.webView;
        setContentView(webView);
        webView.requestFocus();

        plugin.webViewManager.currentWebViewActivity = this;
    }

    @Override
    public void onBackPressed() {
        if (webView.canGoBack()) {
            webView.goBack();
        } else {
            plugin.webViewManager.close();
        }
    }

    @Override
    protected void onResume() {
        super.onResume();
        FlutterFragmentActivity activity = (FlutterFragmentActivity) plugin.webViewManager.activity;
        activity.getFlutterView().onPostResume();
    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        plugin.webViewManager.resultHandler.handleResult(requestCode, resultCode, data);
    }
}
